package com.common.entity;


import java.time.LocalDateTime;
import java.time.OffsetDateTime;
public class DeviceDevice {
    public Integer id;
    public LocalDateTime  createdAt;
    public LocalDateTime updatedAt;
    public LocalDateTime deletedAt;
    public String name;
    public String ip;
    public Integer deviceGroup;
    public Integer deviceType;
    public String vendor;
    public String productName;
    public Integer organizationId;
    public LocalDateTime lastReceiveTime;
    public Integer agentId;
    public Integer detailId;
    public Integer controlAgentId;
    public LocalDateTime licenseStartTime;
    public LocalDateTime licenseEndTime;
    public Boolean isMonitoring;
    public Long securityScopeId;
    public Long ownerId;
    public Long sshConfigId;
    public Short status;
    public Long createdById;
    public Integer decodeType;
    public Integer missPolicy;
    public String tenantId;
    public LocalDateTime createTime;
    public LocalDateTime updateTime;
    public Long createBy;
    public Long updateBy;
    public String delFlag;
    public String managerName;
    public Integer todayParseCount;
    public Integer todayNonLogCount;
    public Long createDept;
    public Integer deviceCollectId;


    // Getter and Setter methods
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public LocalDateTime getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(LocalDateTime createdAt) {
        this.createdAt = createdAt;
    }

    public LocalDateTime getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(LocalDateTime updatedAt) {
        this.updatedAt = updatedAt;
    }

    public LocalDateTime getDeletedAt() {
        return deletedAt;
    }

    public void setDeletedAt(LocalDateTime deletedAt) {
        this.deletedAt = deletedAt;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public Integer getDeviceGroup() {
        return deviceGroup;
    }

    public void setDeviceGroup(Integer deviceGroup) {
        this.deviceGroup = deviceGroup;
    }

    public Integer getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(Integer deviceType) {
        this.deviceType = deviceType;
    }

    public String getVendor() {
        return vendor;
    }

    public void setVendor(String vendor) {
        this.vendor = vendor;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public Integer getOrganizationId() {
        return organizationId;
    }

    public void setOrganizationId(Integer organizationId) {
        this.organizationId = organizationId;
    }

    public LocalDateTime getLastReceiveTime() {
        return lastReceiveTime;
    }

    public void setLastReceiveTime(LocalDateTime lastReceiveTime) {
        this.lastReceiveTime = lastReceiveTime;
    }

    public Integer getAgentId() {
        return agentId;
    }

    public void setAgentId(Integer agentId) {
        this.agentId = agentId;
    }

    public Integer getDetailId() {
        return detailId;
    }

    public void setDetailId(Integer detailId) {
        this.detailId = detailId;
    }

    public Integer getControlAgentId() {
        return controlAgentId;
    }

    public void setControlAgentId(Integer controlAgentId) {
        this.controlAgentId = controlAgentId;
    }

    public LocalDateTime getLicenseStartTime() {
        return licenseStartTime;
    }

    public void setLicenseStartTime(LocalDateTime licenseStartTime) {
        this.licenseStartTime = licenseStartTime;
    }

    public LocalDateTime getLicenseEndTime() {
        return licenseEndTime;
    }

    public void setLicenseEndTime(LocalDateTime licenseEndTime) {
        this.licenseEndTime = licenseEndTime;
    }

    public Boolean getIsMonitoring() {
        return isMonitoring;
    }

    public void setIsMonitoring(Boolean isMonitoring) {
        this.isMonitoring = isMonitoring;
    }

    public Long getSecurityScopeId() {
        return securityScopeId;
    }

    public void setSecurityScopeId(Long securityScopeId) {
        this.securityScopeId = securityScopeId;
    }

    public Long getOwnerId() {
        return ownerId;
    }

    public void setOwnerId(Long ownerId) {
        this.ownerId = ownerId;
    }

    public Long getSshConfigId() {
        return sshConfigId;
    }

    public void setSshConfigId(Long sshConfigId) {
        this.sshConfigId = sshConfigId;
    }

    public Short getStatus() {
        return status;
    }

    public void setStatus(Short status) {
        this.status = status;
    }

    public Long getCreatedById() {
        return createdById;
    }

    public void setCreatedById(Long createdById) {
        this.createdById = createdById;
    }

    public Integer getDecodeType() {
        return decodeType;
    }

    public void setDecodeType(Integer decodeType) {
        this.decodeType = decodeType;
    }

    public Integer getMissPolicy() {
        return missPolicy;
    }

    public void setMissPolicy(Integer missPolicy) {
        this.missPolicy = missPolicy;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    public Long getCreateBy() {
        return createBy;
    }

    public void setCreateBy(Long createBy) {
        this.createBy = createBy;
    }

    public Long getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(Long updateBy) {
        this.updateBy = updateBy;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getManagerName() {
        return managerName;
    }

    public void setManagerName(String managerName) {
        this.managerName = managerName;
    }

    public Integer getTodayParseCount() {
        return todayParseCount;
    }

    public void setTodayParseCount(Integer todayParseCount) {
        this.todayParseCount = todayParseCount;
    }

    public Integer getTodayNonLogCount() {
        return todayNonLogCount;
    }

    public void setTodayNonLogCount(Integer todayNonLogCount) {
        this.todayNonLogCount = todayNonLogCount;
    }

    public Long getCreateDept() {
        return createDept;
    }

    public void setCreateDept(Long createDept) {
        this.createDept = createDept;
    }

    public Integer getDeviceCollectId() {
        return deviceCollectId;
    }

    public void setDeviceCollectId(Integer deviceCollectId) {
        this.deviceCollectId = deviceCollectId;
    }

    @Override
    public String toString() {
        return "DeviceDevice{" +
                "id=" + id +
                ", createdAt=" + createdAt +
                ", updatedAt=" + updatedAt +
                ", deletedAt=" + deletedAt +
                ", name='" + name + '\'' +
                ", ip='" + ip + '\'' +
                ", deviceGroup=" + deviceGroup +
                ", deviceType=" + deviceType +
                ", vendor='" + vendor + '\'' +
                ", productName='" + productName + '\'' +
                ", organizationId=" + organizationId +
                ", lastReceiveTime=" + lastReceiveTime +
                ", agentId=" + agentId +
                ", detailId=" + detailId +
                ", controlAgentId=" + controlAgentId +
                ", licenseStartTime=" + licenseStartTime +
                ", licenseEndTime=" + licenseEndTime +
                ", isMonitoring=" + isMonitoring +
                ", securityScopeId=" + securityScopeId +
                ", ownerId=" + ownerId +
                ", sshConfigId=" + sshConfigId +
                ", status=" + status +
                ", createdById=" + createdById +
                ", decodeType=" + decodeType +
                ", missPolicy=" + missPolicy +
                ", tenantId='" + tenantId + '\'' +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", createBy=" + createBy +
                ", updateBy=" + updateBy +
                ", delFlag='" + delFlag + '\'' +
                ", managerName='" + managerName + '\'' +
                ", todayParseCount=" + todayParseCount +
                ", todayNonLogCount=" + todayNonLogCount +
                ", createDept=" + createDept +
                ", deviceCollectId=" + deviceCollectId +
                '}';
    }

}